<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  添付フィルの登録処理画面(AppendAdd.jsp)
 *
 * version:      0.1, 2011.3.22 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyaku.dataobject.DetailItemsInterface.COMMFLD" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="./env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>user information bundle modify</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var isClick = false;

    function init() {
      window.name = "AddAppendFile"

      var imod  = "<%= commonMessage.getResMsg("FileAdd") %>";
      if (imod == "1") {
        window.returnValue = "<%= commonMessage.getResMsg("furl") %>";
        self.window.close();
        return;
      }
    }

    function regist() {
      var psnm = document.mainForm.upfile.value;
      if(psnm == "") {
        alert("ファイルを指定してください。");
        return false;
      }
      var fnm = psnm.replace(/\\/g,'/').replace(/.*\//, '');
      if(fnm.match(/[^a-zA-Z0-9.\-\(\)_\s#%=]/)) {
        alert("ファイル名を半角英数字に変更してください。");
        return false;
      }
      var typ = fnm.replace(/.*\./,'').toLowerCase();
      if(typ!="jpg" && typ!="jpeg" && typ!="gif" && typ!="png") {
        alert("画像ファイルを指定してください。");
        return false;
      }

      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }

    function cansel() {
      if(isClick == true){
        return;
      }
      self.window.close();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();">
<form name="mainForm" action="<%= ActionVal %>" target="AddAppendFile" method="POST" enctype="multipart/form-data">
  <htl:comfld plg="<%= PLG_ID %>" pid="wiki" act="addimg" pageact="get" />
  <input type="hidden" name="fileWrite" value="yes">

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr><td colspan="4" class="MainTitle">画像ファイルの登録</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="regist(); return false;">${hfn:getMsg("btn.add")}</a></td>
      <td id="spacer"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="cansel(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  </htl:rectPre>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" colspan="2">
       .jpg , .gif , .png の画像ファイルを指定して下さい。
       <font color="red">注意：日本語のファイル名は表示されません！</font>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">登録する画像ファイル</td>
       <td class="Rect">
         <input class="textStr" name="upfile" type="file" size="63">
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">上書き確認</td>
       <td class="Rect">
         <input type="checkbox" name="overwrite"  value="1">同一ファイル名があれば上書きする。
       </td>
     </tr>
    </table>
    </div>
  </div>

</form>
</body>
</html>
