<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * Wiki Diff情報表示画面 (WikiDiff.jsp)
 *
 * version:      0.1, 2012.9.17 新規
 ********************************************************************************
 --%>
<%@ page import="com.hamaf.hikyakucms.sample.wiki.ui.WikiDetail"%>
<%@ page import="java.io.BufferedReader"%>
<%@ page import="java.io.StringReader"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Wiki Diff Display</title>
  <link href="<%= BASE_DIR %>jsp/wiki/wiki.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.processId.value = "wiki";
      document.mainForm.action.value = "disp";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="diff" act="list" pageact="get" />

  <htl:hidden item="title"/>
  <htl:hidden item="wno"/>

  <%-- タイトル --%>
  <h1 class="header"><htl:dispitem item="title" /> 差分表示</h1>
  <div id=bk align="right"><img src="<%= BUTTON_DIR %>btn_close.gif" class="hand" onclick="back(); return false;"></div>
  <%
    Map<String, String> dt = commonMessage.getResList().get(0);
    String author = dt.get("author");
    String cdate = dt.get("cdate");
    String ctime = dt.get("ctime");
    String txt = dt.get("text");
  %>
  <table width="95%">
    <tr>
      <td class="MainTitle" width="70px">更新者</td>
      <td width="200px"><%= author %></td>
      <td class="MainTitle" width="100px">更新日時</td>
      <td width="160px"><%= cdate %> <%= ctime %></td>
      <td align="right"><htl:listCntr /></td>
    </tr>
  </table>
  <%-- ページコントロール --%>
    <htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/>
  <!-- 
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"></td>
    </tr>
  </table>
   -->
  <ul>
    <li>最後の更新で追加された行は<b class="added">このように</b>表示します。</li>
    <li>最後の更新で削除された行は<s class="deleted">このように</s>表示します。</li>
  </ul>
  <hr />
  <%
    StringReader sr = new StringReader(txt);
    BufferedReader brd = new BufferedReader(sr);
    String buf = brd.readLine();
    StringBuilder sb = new StringBuilder();
    while (buf != null) {
      String dts = buf.substring(0,1);
      String end = "</span>";
      if (dts.equals("a")) {
        end = "</b>";
        sb.append("<b class='added'>");
      } else if(dts.equals("d")) {
        end = "</s>";
        sb.append("<s class='deleted'>");
      } else {
        sb.append("<span class='same'>");
      }
      sb.append(buf.substring(2));
      sb.append(end);
      sb.append("\n");
      buf = brd.readLine();
    } %>
<pre class="diff">
<%= sb.toString() %></pre>
  <hr>

</form>
</body>
</html>