<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * Wiki初期表示画面 (WikIniiDisp.jsp)
 *
 * version:      0.1, 2012.9.18 新規
 ********************************************************************************
 --%>
<%@page import="com.hamaf.hikyakucms.sample.wiki.ui.WikiDetail"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Wik初期画面</title>
  <link href="<%= BASE_DIR %>jsp/wiki/wiki.css" type="text/css" rel="stylesheet">

</head>
<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">

<h2>社内向け簡易辞典（Wiki）へようこそ</h2>
ここはいろいろな情報をWeb上に自由に登録して、誰でも参照することができるサイトです。<br>
タイトル名やカテゴリーで検索して登録されている情報を検索することができます。<br>
<p>
簡単なルールさえ覚えれば通常の文字で書き込んだものがHTML形式に変換され、Webで見ることができます。<br>
見出しによる目次も自動的に作成してくれます。<br>
<p>
だれでも自由に書き込むことができますし、変更内容を履歴として参照することもできます。<br>
また、変更は見出し毎に行う事もできます。

<h2>書き方のルール</h2>
改行は無視され行はつなげられて表示されますが、改行させて場合は、行の先頭に空白を入力します。
記述ルールは文字を強調させる指定と、行毎に形式を指定する２種類があります。<br>
<h3>文字を強調させたい場合</h3>
文字は<b>強調</b>させる方法と、<i>斜体</i>にする方法があります。
<ol>
  <li><b>強調</b>-強調させたい文字を''(シングルコーテーション２つ)で囲います。
  <li><i>斜体</i>-斜体にしたい文字を'''(シングルコーテーション３つ)で囲います。
</ol>
<h3>行の形式を指定する場合</h3>
行の形式を指定する場合は、行の先頭に特定の文字を指定することにより行います。<br>
行毎の指定には、「見出し」、「箇条書き」、「水平線」、「引用文」、「用語解説」、「表形式」があります。
<ol>
  <li>見出し-行の先頭に*(アスタリスク)を指定します。**と２つ指定すると中見出しに、***と３つ指定すると
  小見出しになります。<br>
  見出しと中見出しで目次が作成され、この単位で書き換えすることができるようになります。
  <li>箇条書き-行の先頭に-(ハイフン)を指定します。--と２つ指定すると２段目になります。
  <li>水平線-行の先頭に----(ハイフン４つ)を指定します。
  <li>引用文-行の先頭に?(クエスチョン)を指定します。??と２つ指定すると２段目になります。
  <li>用語解説-行の先頭に:(コロン)を指定します。
  <li>表形式-行の先頭に,(カンマ)を指定します。列ごとに,で区切って指定します。
</ol>
<h3>その他</h3>
http:// で始まる文字列はそのURLへのリンクとなります。<br>
http:// で始まり .jpg , .jpeg , .gif で終わる文字列はそのURLの画像が表示されます。
</body>
</html>
