<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * Wiki情報一覧表示画面 (WikiList.jsp)
 *
 * version:      0.1, 2012.9.15 新規
 ********************************************************************************
 --%>
<%@ page import="com.hamaf.hikyakucms.sample.wiki.ui.WikiDetail"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Communication List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function dtl(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pos.value = ps;
      document.mainForm.action.value = "disp";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="wiki" act="list" pageact="get" />

  <input type="hidden" name="<%= WikiDetail.CHAPTER %>" value="0" >
  <input type="hidden" name="<%= WikiDetail.SECTION %>" value="0" >
  <input type="hidden" name="allkbn" value="yes">
  <input type="hidden" name="preview" value="0">

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">Wiki登録情報検索結果一覧</td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">登録者</th>
      <th nowrap width="80px" class="ListTitle">カテゴリー</th>
      <th nowrap class="ListTitle">タイトル</th>
      <th nowrap width="30px" class="ListTitle">&nbsp;</th>
    </tr>

    <htl:listItems fld0="<%= WikiDetail.CREATE_NAME %>" fld1="category"
     fld2="title" fld3="sammary" fld4="<%= POS_NM %>">
      <tr>
        <td width="100px" rowspan="2" valign="top">${fld0}&nbsp;</td>
        <td noWrap width="80px" align="left">${fld1}&nbsp;</td>
        <td>${fld2}&nbsp;</td>
        <td nowrap width="30px" align="center"><a href="#" onclick="dtl('${fld4}');return false;">
          <font size="-1">詳細</font></a></td>
      </tr>
      <tr><td colspan="3">${fld3}&nbsp;</td></tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>