<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  Wiki一部更新用ＪＳＰ(WikiMod.jsp)
 *
 * version:      0.1, 2012.09.17 新規
 ********************************************************************************
 --%>
<%@ page import="com.hamaf.hikyakucms.sample.wiki.ui.WikiDetail"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Wiki更新画面</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:700px;dialogHeight:180px";
    function back()
    {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.<%= WikiDetail.CHAPTER %>.value = "0";
      document.mainForm.<%= WikiDetail.SECTION %>.value = "0";
      document.mainForm.action.value = "disp";
      document.mainForm.submit();
    }
    function regist()
    {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }
    function preview()
    {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "preview";
      document.mainForm.submit();
    }
    
    function addimg() {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=wiki&action=addimgini";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        var sval = document.mainForm.<%= WikiDetail.CONTENTS %>.value;
        sval = sval + "\n" + retVal;
        document.mainForm.<%= WikiDetail.CONTENTS %>.value = sval;
      }
      isClick = false;
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="wiki" act="modify" pageact="same" />

  <htl:hidden item="upkbn"/>

  <htl:hidden item="wno"/>
  <htl:hidden item="<%= WikiDetail.CHAPTER %>"/>
  <htl:hidden item="<%= WikiDetail.SECTION %>"/>

  <htl:hidden item="title"/>
  <htl:hidden item="category"/>
  <htl:hidden item="sammary"/>

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="6" class="MainTitle"><b>Wiki情報の一部更新</b></td></tr>
    <tr><td colspan="6" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space60"></td>
      <td align="center"><a href="#" onclick="preview(); return false;">プレビュー</a></td>
      <td id="spacer"></td>
      <td align="center"><a href="#" onclick="regist(); return false;">${hfn:getMsg("btn.update")}</a></td>
      <td id="spacer"></td>
      <td align="center"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" width="60px">タイトル</td>
       <td class="Rect"><htl:dispitem item="title"/></td>
       <td class="titleDt" width="65px">カテゴリー</td>
       <td class="Rect" width="70px"><htl:dispitem item="category"/></td>
     </tr>
     <tr>
       <td class="titleDt" width="60px">概略</td>
       <td class="Rect" colspan="3"><htl:dispitem item="sammary"/></td>
     </tr>
     <tr>
       <td class="titleDt" colspan="4">強調:''で囲う、斜体:'''で囲う'、大見出し:行頭に*、中見出し:行頭に**、
       箇条書き:行頭に-、テーブル:行頭に,で,で区切る</td>
     </tr>
     <tr>
       <td class="Rect" colspan="4" align="center">
         <htl:textarea item="<%= WikiDetail.CONTENTS %>" rows="27" cols="75"/>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="60px">画像登録</td>
       <td class="Rect" colspan="3">
        <table class="button">
          <tr><td><a href="#" onclick="addimg(); return false;">画像をサーバーに送る</a></td></tr>
        </table>
       </td>
     </tr>
    </table>
    </div>
  </div>

</form>
</body>
</html>
